Initiate message history sync from the WhatsApp Business App. This sends a request to the account owner to approve sharing their conversation history. Only available for coexistence accounts with active status.
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/history \
--header 'Authorization: Bearer <token>'{
"message": "History sync initiated",
"sync": {
"isCoexistence": true,
"status": "active",
"history": {
"status": "pending",
"canSync": false,
"requestedAt": "2024-01-15T10:00:00Z",
"completedAt": null
},
"contacts": {
"status": "not_requested",
"canSync": true,
"requestedAt": null
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync/history \
--header 'Authorization: Bearer <token>'{
"message": "History sync initiated",
"sync": {
"isCoexistence": true,
"status": "active",
"history": {
"status": "pending",
"canSync": false,
"requestedAt": "2024-01-15T10:00:00Z",
"completedAt": null
},
"contacts": {
"status": "not_requested",
"canSync": true,
"requestedAt": null
}
}
}